<?php
include_once '../../sys/fnc.php';
echo '<div id="page-wrapper"><div class="main-page"><div class="blank-page widget-shadow scroll" id="style-2 div1"><p>';
/* ---- */	
if (!isset($user) || $user->position != 'admin') {
    header('location: /');
    exit;
}
/* ---- */	
$title = 'Логи биллинга';
include_once '../../sys/head.php';

//mysql_query("INSERT INTO `logs_bill` (`id_user`, `time`, `razd`) values('$user->id', '".time()."', 'Тестик')");

// Вывод разделов
echo "<div class='title'>";
echo '<a href="logs_bill.php?today">За сегодня</a> | <a href="logs_bill.php?week">За неделю</a> | <a href="logs_bill.php"><i>Все</i></a>';
echo "</div>";

// Удаление логов
if( isset($_GET['del']))
{
if (isset($_POST['ok']))
{
mysql_query("DELETE FROM `logs_bill` WHERE `del_no` = '0'");
mysql_query("INSERT INTO `logs_bill` (`id_user`, `time`, `razd`, `del_no`, `text`) values('$user->id', '".time()."', 'Биллинг / Логи', '1', 'Очистил все логи')"); // Записуем в логи
echo '<div class="err">Журнал логов очищен</div>';
}else{
echo "<div class='err'><form method='post'><center>Вы уверены что хотите очистить логи? <input type='submit' value='Да' name='ok'> / <a href='?'>Нет</a></center></form></div>\n";
}
}
if (isset($_GET['today'])){ /* Логи за сегодня */
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `logs_bill` WHERE `time` > '".(time()-60 * 60 * 24 * 1)."'"),0);
$p_page = 10;
$k_page = k_page($k_post, 10);
$page = page($k_page);
$start = 10*$page-10;
echo "<table class='post'>\n";
if ($k_post==0){echo "<div class='err'>Нет логи</div>\n";}
$q=mysql_query("SELECT * FROM `logs_bill` WHERE `time` > '".(time()-60 * 60 * 24 * 1)."' ORDER BY id DESC LIMIT $start, ". $p_page);

while($r = mysql_fetch_array($q)){
echo "<div class='menu'>";
echo '<b>'.html($r['razd']).'</b> | ('.date('d.y/H:i',$r['time']).')<br />';
echo "</div>";
$id_user = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '".$r['id_user']."'"));
echo "<div class='post'>";
echo '<b>'.$id_user['login'].' | '.html($r['text']).'</b><br />';
echo "</div>";
}
if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
}elseif (isset($_GET['week'])){ /* Логи в течении недели */
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `logs_bill` WHERE `time` > '".(time()-60 * 60 * 24 * 7)."'"),0);
$p_page = 10;
$k_page = k_page($k_post, 10);
$page = page($k_page);
$start = 10*$page-10;
echo "<table class='post'>\n";
if ($k_post==0){echo "<div class='err'>Нет логи</div>\n";}
$q=mysql_query("SELECT * FROM `logs_bill` WHERE `time` > '".(time()-60 * 60 * 24 * 7)."' ORDER BY id DESC LIMIT $start, ". $p_page);

while($r = mysql_fetch_array($q)){
echo "<div class='menu'>";
echo '<b>'.html($r['razd']).'</b> | ('.date('d.y/H:i',$r['time']).')<br />';
echo "</div>";
$id_user = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '".$r['id_user']."'"));
echo "<div class='post'>";
echo '<b>'.$id_user['login'].' | '.html($r['text']).'</b><br />';
echo "</div>";
}
if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
}else{ /* Все логи сайта */
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `logs_bill`"),0);
$p_page = 10;
$k_page = k_page($k_post, 10);
$page = page($k_page);
$start = 10*$page-10;
echo "<table class='post'>\n";
if ($k_post==0){echo "<div class='err'>Нет логи</div>\n";}
$q=mysql_query("SELECT * FROM `logs_bill` ORDER BY id DESC LIMIT $start, ". $p_page);

while($r = mysql_fetch_array($q)){
echo "<div class='menu'>";
echo '<b>'.html($r['razd']).'</b> | ('.date('d.y/H:i',$r['time']).')<br />';
echo "</div>";
$id_user = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '".$r['id_user']."'"));
echo "<div class='post'>";
echo '<b>'.$id_user['login'].' | '.html($r['text']).'</b><br />';
echo "</div>";
}
if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
echo "<div class='menu'>";
echo '<b>За сегодня логов: '.mysql_num_rows(mysql_query("SELECT * FROM `logs_bill` WHERE `time` > '".(time()-60 * 60 * 24 * 1)."'")).'</b><br />';
echo "</div>";
echo "<div class='menu'>";
echo '<b>За неделю логов: '.mysql_num_rows(mysql_query("SELECT * FROM `logs_bill` WHERE `time` > '".(time()-60 * 60 * 24 * 7)."'")).'</b><br />';
echo "</div>";
echo "<div class='menu'>";
echo '<b>Всего логов: '.mysql_num_rows(mysql_query("SELECT * FROM `logs_bill`")).'</b><br />';
echo "</div>";
echo "<div class='menu'>» <a href='?del'> <b>Очистить список</b></a></div>";
}
echo "<div class='title'>» <a href='/admin'> <b>Назад в админку</b></a></div>";
include_once '../../sys/foot.php';
?>